# AuthComponent | CICADA
Documentation for CICADA

### Hierarchy

- AuthComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- keyForm
- loading
- matcher
- submitted

### Accessors

- keyFormStub

### Methods

- login
- ngOnInit
- onSubmit
- switchWindows
- toggleDisplay

## Constructors

### constructor

- new AuthComponent(authService: AuthService, formBuilder: FormBuilder, router: Router, errorDialogService: ErrorDialogService ): AuthComponent

- - Defined in src/app/auth/auth.component.ts:19

  #### Parameters

  - ##### authService: AuthService

  - ##### formBuilder: FormBuilder

  - ##### router: Router

  - ##### errorDialogService: ErrorDialogService

  #### Returns AuthComponent

## Properties

### keyForm

keyForm: FormGroup

- Defined in src/app/auth/auth.component.ts:16

### loading

loading: boolean = false

- Defined in src/app/auth/auth.component.ts:18

### matcher

matcher: CustomErrorStateMatcher = ...

- Defined in src/app/auth/auth.component.ts:19

### submitted

submitted: boolean = false

- Defined in src/app/auth/auth.component.ts:17

## Accessors

### keyFormStub

- get keyFormStub(): any

- - Defined in src/app/auth/auth.component.ts:37

  #### Returns any

## Methods

### login

- login(): Promise<void>

- - Defined in src/app/auth/auth.component.ts:53

  #### Returns Promise<void>

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/auth/auth.component.ts:28

  #### Returns Promise<void>

### onSubmit

- onSubmit(): Promise<void>

- - Defined in src/app/auth/auth.component.ts:41

  #### Returns Promise<void>

### switchWindows

- switchWindows(): void

- - Defined in src/app/auth/auth.component.ts:66

  #### Returns void

### toggleDisplay

- toggleDisplay(element: any): void

- - Defined in src/app/auth/auth.component.ts:73

  #### Parameters

  - ##### element: any

  #### Returns void

Generated using TypeDoc